curl --request POST \
--url https://api.qovery.com/container/{containerId}/environmentVariable \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"value": "<string>",
"mount_path": null,
"description": "<string>",
"enable_interpolation_in_file": true
}
'import requests
url = "https://api.qovery.com/container/{containerId}/environmentVariable"
payload = {
"key": "<string>",
"value": "<string>",
"mount_path": None,
"description": "<string>",
"enable_interpolation_in_file": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
value: '<string>',
mount_path: null,
description: '<string>',
enable_interpolation_in_file: true
})
};
fetch('https://api.qovery.com/container/{containerId}/environmentVariable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"key": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE",
"updated_at": "2023-11-07T05:31:56Z",
"value": "<string>",
"mount_path": null,
"description": "<string>",
"enable_interpolation_in_file": true,
"overridden_variable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE"
},
"aliased_variable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "QOVERY_DATABASE_PSQL_NAME",
"value": "<string>",
"mount_path": "<string>",
"scope": "APPLICATION",
"variable_type": "VALUE"
},
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_type": "APPLICATION",
"owned_by": "<string>"
}Add an environment variable to the container
- Add an environment variable to the container.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Container ID
Body
key is case sensitive.
value of the env variable.
should be set for file only. variable mount path makes variable a file (where file should be mounted).
optional variable description (255 characters maximum)
255Response
Added an environment variable
key is case sensitive.
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET)
VALUE, ALIAS, OVERRIDE, BUILT_IN, FILE, EXTERNAL_SECRET value of the env variable.
should be set for file only. variable mount path makes variable a file (where file should be mounted).
optional variable description (255 characters maximum)
255Show child attributes
Show child attributes
Show child attributes
Show child attributes
type of the service (application, database, job, gateway...)
APPLICATION, CONTAINER, DATABASE, JOB, HELM, TERRAFORM Entity that created/own the variable (i.e: Qovery, Doppler)
Was this page helpful?